%define __strip %{_mingw32_strip}
%define __objdump %{_mingw32_objdump}
%define _use_internal_dependency_generator 0
%define __find_requires %{_mingw32_findrequires}
%define __find_provides %{_mingw32_findprovides}
%define __os_install_post %{_mingw32_debug_install_post} \
                          %{_mingw32_install_post}

Name:          mingw32-libavahi
%define _name avahi
Version:       0.6.31
Release:       0
Summary:       D-BUS Service for Zeroconf and Bonjour
License:       LGPL-2.1+
URL:           http://www.avahi.org/
# http://avahi.org/download/%%{_name}-%%{version}.tar.gz
Source0:       %{_name}-%{version}.tar.gz
Source1000:    %{name}-rpmlintrc
Source1:       avahi-glib-gettext.m4
Patch0:        mingw32-libavahi.patch
Group:         System/Libraries
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root

BuildArch:     noarch
#!BuildIgnore: post-build-checks

BuildRequires: mingw32-cross-gcc mingw32-cross-gcc-c++
BuildRequires: mingw32-cross-binutils
BuildRequires: mingw32-cross-pkg-config
BuildRequires: libtool intltool automake autoconf

BuildRequires: mingw32-glib2-devel glib2-devel
BuildRequires: mingw32-gettext-tools
BuildRequires: mingw32-winpthreads-devel
BuildRequires: mingw32-dbus-1-devel
BuildRequires: mingw32-libexpat-devel


%description
Avahi is an implementation of the DNS Service Discovery and Multicast DNS
specifications for Zeroconf Computing. It uses D-BUS for communication between
user applications and a system daemon. The daemon is used to coordinate
application efforts in caching replies, necessary to minimize the
traffic imposed on networks.

The Avahi mDNS responder is now complete with features, implementing all MUSTs
and the majority of the SHOULDs of the mDNS and DNS-SD RFCs. It passes all
tests in the Apple Bonjour conformance test suite. In addition, it supports
some nifty things, like correct mDNS reflection across LAN segments.

This is a development build, don't expect stability!

%package devel
Summary:        D-BUS Service for Zeroconf and Bonjour (development files)
Group:          Development/Libraries

%description devel
Avahi is an implementation of the DNS Service Discovery and Multicast DNS
specifications for Zeroconf Computing. It uses D-BUS for communication between
user applications and a system daemon. The daemon is used to coordinate
application efforts in caching replies, necessary to minimize the
traffic imposed on networks.

The Avahi mDNS responder is now complete with features, implementing all MUSTs
and the majority of the SHOULDs of the mDNS and DNS-SD RFCs. It passes all
tests in the Apple Bonjour conformance test suite. In addition, it supports
some nifty things, like correct mDNS reflection across LAN segments.

This is a development build, don't expect stability!

This package contains all necessary include files and libraries needed
to develop applications that require these.

%package utils
Summary:        D-BUS Service for Zeroconf and Bonjour (development files)
Group:          Development/Libraries

%description utils
Avahi is an implementation of the DNS Service Discovery and Multicast DNS
specifications for Zeroconf Computing. It uses D-BUS for communication between
user applications and a system daemon. The daemon is used to coordinate
application efforts in caching replies, necessary to minimize the
traffic imposed on networks.

The Avahi mDNS responder is now complete with features, implementing all MUSTs
and the majority of the SHOULDs of the mDNS and DNS-SD RFCs. It passes all
tests in the Apple Bonjour conformance test suite. In addition, it supports
some nifty things, like correct mDNS reflection across LAN segments.

This is a development build, don't expect stability!

This package contains some executables - TODO I'm not sure if they are necessary.


%lang_package

%{_mingw32_debug_package}

%prep
%setup -q -n %{_name}-%{version}
%patch0

if ! test -f %{_datadir}/aclocal/glib-gettext.m4 ; then
	cat %{S:1} >>acinclude.m4
fi

%build
NOCONFIGURE=indeed ./autogen.sh
echo "lt_cv_deplibs_check_method='pass_all'" >> %{_mingw32_cache}
PATH="%{_mingw32_bindir}:$PATH"; export PATH; \
%{_mingw32_configure} \
	--enable-shared --disable-static --with-distro=none \
	--enable-compat-libdns_sd \
	--disable-qt3 --disable-qt4 \
	--disable-gtk --disable-gtk3 \
	--disable-gdbm --disable-libdaemon --disable-python --disable-mono --disable-monodoc
%{_mingw32_make} %{?_smp_mflags} || %{_mingw32_make}


%install
rm -rf $RPM_BUILD_ROOT

%{_mingw32_make} DESTDIR=$RPM_BUILD_ROOT install

rm -f $RPM_BUILD_ROOT%{_mingw32_bindir}/avahi-browse-domains
rm -f $RPM_BUILD_ROOT%{_mingw32_bindir}/avahi-publish-address
rm -f $RPM_BUILD_ROOT%{_mingw32_bindir}/avahi-publish-service
rm -f $RPM_BUILD_ROOT%{_mingw32_bindir}/avahi-resolve-address
rm -f $RPM_BUILD_ROOT%{_mingw32_bindir}/avahi-resolve-host-name

%find_lang avahi

%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root)
%{_mingw32_bindir}/libavahi-client-3.dll
%{_mingw32_bindir}/libavahi-gobject-0.dll
%{_mingw32_bindir}/libavahi-common-3.dll
%{_mingw32_bindir}/libavahi-core-7.dll
%{_mingw32_bindir}/libavahi-glib-1.dll
%{_mingw32_bindir}/libdns_sd-1.dll

%files lang -f avahi.lang

%files devel
%defattr(-,root,root)
%{_mingw32_bindir}/libavahi-common-3.dll.debug
%{_mingw32_bindir}/libavahi-core-7.dll.debug
%{_mingw32_bindir}/libavahi-glib-1.dll.debug
%{_mingw32_includedir}/avahi-client
%{_mingw32_includedir}/avahi-gobject
%{_mingw32_includedir}/avahi-common
%{_mingw32_includedir}/avahi-core
%{_mingw32_includedir}/avahi-glib
%{_mingw32_includedir}/avahi-compat-libdns_sd
%{_mingw32_libdir}/libavahi-client.dll.a
%{_mingw32_libdir}/libavahi-gobject.dll.a
%{_mingw32_libdir}/libavahi-common.dll.a
%{_mingw32_libdir}/libavahi-core.dll.a
%{_mingw32_libdir}/libavahi-glib.dll.a
%{_mingw32_libdir}/libdns_sd.dll.a
%{_mingw32_libdir}/pkgconfig/avahi-client.pc
%{_mingw32_libdir}/pkgconfig/avahi-core.pc
%{_mingw32_libdir}/pkgconfig/avahi-glib.pc
%{_mingw32_libdir}/pkgconfig/avahi-gobject.pc
%{_mingw32_libdir}/pkgconfig/avahi-compat-libdns_sd.pc
%{_mingw32_datadir}/avahi/service-types
%{_mingw32_mandir}/man1/avahi*
%{_mingw32_mandir}/man5/avahi*
%{_mingw32_mandir}/man8/avahi*

%files utils
%defattr(-,root,root)
%{_mingw32_bindir}/avahi-browse.exe
%{_mingw32_bindir}/avahi-publish.exe
%{_mingw32_bindir}/avahi-resolve.exe
%{_mingw32_bindir}/avahi-set-host-name.exe

%changelog
